Unable to login using 1.5.0 version of the app


#1

I used to be able to login using my ipad 3rd gen running 9.3.5, a few months ago.

Now when logging it it gives the error message:

Data does not match schema: required key not provided @ data['redirect_uri']
in red writing on the iPad screen, and it also shows up in the HA logs.

I also get ‘Error doing job: SSL handshake failed’ errors after.

Is there a way around this issue? thanks

Here;s my system info:

arch armv7l
dev false
docker true
hassio true
os_name Linux
python_version 3.7.2
timezone Europe/London
version 0.88.2
virtualenv false

I’ve tried clearing browser cache on the ipad - I can log in perfectly fine using a browser on a computer, it just doesn’t work on the ipad at all!


#2

Having the same issue with Ariela client on Android, 0.88.1. It won’t authenticate and the web login throws this error.
Didn’t check what was going on, I simply uninstalled as I don’t need or use it.


#3

I think it may be due to an unlisted breaking change in HA 0.88

Once I figure out how to rollback I’ll be able to test

Thanks for letting me know I’m not the only one with this issue :slight_smile:

EDIT: Update, rolled back to 0.87 and I can now log in again! For anyone else with the same issue, roll back and you should have a working system again.